Bug 172980 - kernel panics on boot; can't find VolGroup00 so can't switchroot
kernel panics on boot; can't find VolGroup00 so can't switchroot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 14:06 EST by Peter Dawes
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.14-1.1644
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 22:26:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot messages (759 bytes, application/octet-stream)
2005-11-11 14:15 EST, Peter Dawes
no flags Details
dmesg output (22.14 KB, text/plain)
2005-11-15 18:54 EST, Hans Ecke
no flags Details
lspci output (1.59 KB, text/plain)
2005-11-15 18:55 EST, Hans Ecke
no flags Details

  None (edit)
Description Peter Dawes 2005-11-11 14:06:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Galeon/1.3.21

Description of problem:
Just updated to the 2.6.14-1.1637smp kernel.  System fails to boot with this kernel...  It complains about "PCI-DMA: more than 4GB RAM and no IOMMU"
Will attach log of boot.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1637smp

How reproducible:
Always

Steps to Reproduce:
1.Install kernel-smp-2.6.14-1.1637.x86_64.rpm
2.reboot

  

Actual Results:  Kernel panics...

Expected Results:  Kernel boots

Additional info:

System is a dual Opteron 244, 16GB RAM, 3ware SATA raid-5 array.
Comment 1 Peter Dawes 2005-11-11 14:15:51 EST
Created attachment 120960 [details]
boot messages

This is what gets written to the console when trying to boot this kernel.
Comment 2 Peter Dawes 2005-11-11 14:21:33 EST
Non-smp kernel fails identically.  Kernel 2.6.13-1.1532smp has no problems.
Comment 3 Hans Ecke 2005-11-15 18:44:50 EST
I see the same. 2.6.13-1.1532* works fine. I'd be happy to give more details
about my system if you tell me what you need, here is what I can think of:

A8N-SLI motherboard
4GB RAM
AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
latest version of the BIOS (as of today)

I'll attach $(lspci) and $(dmesg) on the system when running 2.6.13-1.1532smp
Comment 4 Hans Ecke 2005-11-15 18:54:49 EST
Created attachment 121100 [details]
dmesg output
Comment 5 Hans Ecke 2005-11-15 18:55:51 EST
Created attachment 121101 [details]
lspci output
Comment 6 Peter Dawes 2005-11-30 22:26:06 EST
Latest kernel (2.6.14-1.1644smp) plus changes to BIOS settings fixes this.

Note You need to log in before you can comment on or make changes to this bug.